ontology

## Enum Types.ACTIONS

- java.lang.Object
- - java.lang.Enum<Types.ACTIONS>
  - - ontology.Types.ACTIONS

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Types.ACTIONS>
  Enclosing class:
    Types

      public static enum Types.ACTIONS
      extends java.lang.Enum<Types.ACTIONS>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION_DOWN`
    `ACTION_ESCAPE`
    `ACTION_LEFT`
    `ACTION_NIL`
    `ACTION_RIGHT`
    `ACTION_UP`
    `ACTION_USE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Types.ACTIONS` | `fromString(java.lang.String strKey)`
    `static Types.ACTIONS` | `fromVector(Vector2d move)`
    `int[]` | `getKey()`
    `static Types.ACTIONS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Types.ACTIONS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTION_NIL

          public static final Types.ACTIONS ACTION_NIL

    - #### ACTION_UP

          public static final Types.ACTIONS ACTION_UP

    - #### ACTION_LEFT

          public static final Types.ACTIONS ACTION_LEFT

    - #### ACTION_DOWN

          public static final Types.ACTIONS ACTION_DOWN

    - #### ACTION_RIGHT

          public static final Types.ACTIONS ACTION_RIGHT

    - #### ACTION_USE

          public static final Types.ACTIONS ACTION_USE

    - #### ACTION_ESCAPE

          public static final Types.ACTIONS ACTION_ESCAPE

  - ### Method Detail

    - #### values

          public static Types.ACTIONS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Types.ACTIONS c : Types.ACTIONS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Types.ACTIONS valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getKey

          public int[] getKey()

    - #### fromString

          public static Types.ACTIONS fromString(java.lang.String strKey)

    - #### fromVector

          public static Types.ACTIONS fromVector(Vector2d move)